Update tag dimension
curl --request PATCH \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/dimensions/{dimensionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>"
}
'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/dimensions/{dimensionId}"
payload = { "key": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '<string>'})
};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/tags/dimensions/{dimensionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"defined_values": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"value": "<string>",
"type": "TagValue",
"display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "com.layerfi.routers.ApiTagDimension",
"display_name": "<string>",
"deleted_at": "2023-11-07T05:31:56Z"
}
}{
"description": "<string>",
"meta": {}
}{
"description": "<string>",
"meta": {}
}Tag Dimensions
Update tag dimension
Updates a specific tag dimension. All fields are optional.
PATCH
/
v1
/
businesses
/
{businessId}
/
tags
/
dimensions
/
{dimensionId}
Update tag dimension
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
The UUID of the tag dimension to update.
Body
application/json
Parameters for updating a tag dimension. All fields are optional.
The tag dimension key.
Tag strictness level - BALANCING requires tags to be applied to whole journal entries that balance, NON_BALANCING has no such restriction and can therefore be applied to individual line items of entries, invoices, etc.
Available options:
BALANCING, NON_BALANCING Response
Tag dimension updated successfully.
Show child attributes
Show child attributes
⌘I